<p align="center">
    <a href="https://github.com/xenia-canary/xenia-canary/tree/canary/assets/icon">
        <img height="120px" src="https://raw.githubusercontent.com/xenia-canary/xenia-canary/canary/assets/icon/256.png" />
    </a>
</p>
<h1 align="center">Xenia - Xbox 360 Emulator</h1>

[![AppVeyor Build status](https://ci.appveyor.com/api/projects/status/5fs0ia3031l9rbpo/branch/canary?svg=true)](https://ci.appveyor.com/project/chris-hawley/xenia-canary/branch/canary) [![Azure Build Status](https://dev.azure.com/xenia-canary/xenia-canary/_apis/build/status/xenia-canary.xenia-canary?branchName=canary)](https://dev.azure.com/xenia-canary/xenia-canary/_build/latest?definitionId=1&branchName=canary) [![Actions Status](https://github.com/xenia-canary/xenia-canary/workflows/main/badge.svg)](https://github.com/xenia-canary/xenia-canary/actions)
<!--[Linux](https://travis-ci.org/xenia-project/xenia) | [![Build status](https://travis-ci.org/xenia-project/xenia.svg?branch=master)](https://travis-ci.org/xenia-project/xenia)-->

Xenia Canary is an experimental fork of Xenia. For more information, see the
[wiki](https://github.com/xenia-canary/xenia-canary/wiki).

See current Pull Request status [here](https://github.com/xenia-canary/xenia-canary/wiki/PR-status).

**Interested in supporting the core contributors?** Visit
[Xenia Project on Patreon](https://www.patreon.com/xenia_project).

Please check the [FAQ](https://github.com/xenia-project/xenia/wiki/FAQ) page before asking questions.
We've got jobs/lives/etc, so don't expect instant answers.

Discussing illegal activities will get you banned.

### Disclaimer

The goal of this project is to experiment, research, and educate on the topic
of emulation of modern devices and operating systems. **It is not for enabling
illegal activity**. All information is obtained via reverse engineering of
legally purchased devices and games and information made public on the internet
(you'd be surprised what's indexed on Google...).

**Discord:** [![Discord](https://img.shields.io/discord/533275703882547200?logo=discord)](https://discord.gg/jydhhRQ)

## Quickstart

See the [Quickstart](https://github.com/xenia-project/xenia/wiki/Quickstart) page.

## Download
[Windows](https://ci.appveyor.com/api/projects/chris-hawley/xenia-canary/artifacts/xenia-canary.zip?branch=canary&job=Configuration:%20Release&pr=false)

<!--Quite a few real games run. Quite a few don't.
See the [Game compatibility list](https://github.com/xenia-project/game-compatibility/issues)
for currently tracked games, and feel free to contribute your own updates,
screenshots, and information there following the [existing conventions](https://github.com/xenia-project/game-compatibility/blob/master/README.md).-->

## Building

See [building.md](docs/building.md) for setup and information about the
`xb` script. When writing code, check the [style guide](docs/style_guide.md)
and be sure to run clang-format!

<!--## Contributors Wanted!
<!--
Have some spare time, know advanced C++, and want to write an emulator?
Contribute! There's a ton of work that needs to be done, a lot of which
is wide open greenfield fun.
<!--
**For general rules and guidelines please see [CONTRIBUTING.md](.github/CONTRIBUTING.md).**
<!--
Fixes and optimizations are always welcome (please!), but in addition to
that there are some major work areas still untouched:
<!--
* Help work through [missing functionality/bugs in games](https://github.com/xenia-project/xenia/labels/compat)
* Add input drivers for [DualShock4 (PS4) controllers](https://github.com/xenia-project/xenia/issues/60) (or anything else)
* Skilled with Linux? A strong contributor is needed to [help with porting](https://github.com/xenia-project/xenia/labels/cross%20platform)
<!--
See more projects [good for contributors](https://github.com/xenia-project/xenia/labels/good%20first%20issue). It's a good idea to ask on Discord and check the issues page before beginning work on
something.
-->
## FAQ

See the [frequently asked questions](https://github.com/xenia-project/xenia/wiki/FAQ) page.
